## ros-humble-clearpath-msgs 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(clearpath_msgs)

find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-humble-clearpath-msgs (0.0.4-1jammy) jammy; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 20 Jun 2023 04:00:00 -0000

ros-humble-clearpath-msgs (0.0.3-1jammy) jammy; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 12 Jun 2023 04:00:00 -0000

ros-humble-clearpath-msgs (0.0.2-1jammy) jammy; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Fri, 19 May 2023 04:00:00 -0000

ros-humble-clearpath-msgs (0.0.1-1jammy) jammy; urgency=high

  * Moved messages into clearpath_platform_msgs and created clearpath_msgs metapackage.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 02 May 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-clearpath-msgs
Section: misc
Priority: optional
Maintainer: Roni Kreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-clearpath-platform-msgs, ros-humble-ros-workspace
Description: Metapackage for Clearapth messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-clearpath-msgs 0.2.0

=== debian/changelog ===
ros-humble-clearpath-msgs (0.2.0-1bookworm) bookworm; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 05 Dec 2023 16:00:00 -0000

ros-humble-clearpath-msgs (0.0.4-1bookworm) bookworm; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 19 Jun 2023 16:00:00 -0000

ros-humble-clearpath-msgs (0.0.3-1bookworm) bookworm; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Sun, 11 Jun 2023 16:00:00 -0000

ros-humble-clearpath-msgs (0.0.2-1bookworm) bookworm; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 18 May 2023 16:00:00 -0000

ros-humble-clearpath-msgs (0.0.1-1bookworm) bookworm; urgency=high

  * Moved messages into clearpath_platform_msgs and created clearpath_msgs metapackage.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 01 May 2023 16:00:00 -0000

## ros-humble-clearpath-msgs 0.3.0

=== debian/changelog ===
ros-humble-clearpath-msgs (0.3.0-2bookworm) bookworm; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 18 Sep 2024 16:00:00 -0000

ros-humble-clearpath-msgs (0.2.0-2bookworm) bookworm; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 05 Dec 2023 16:00:00 -0000

ros-humble-clearpath-msgs (0.0.4-2bookworm) bookworm; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 19 Jun 2023 16:00:00 -0000

ros-humble-clearpath-msgs (0.0.3-2bookworm) bookworm; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Sun, 11 Jun 2023 16:00:00 -0000

ros-humble-clearpath-msgs (0.0.2-2bookworm) bookworm; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 18 May 2023 16:00:00 -0000

ros-humble-clearpath-msgs (0.0.1-2bookworm) bookworm; urgency=high

  * Moved messages into clearpath_platform_msgs and created clearpath_msgs metapackage.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 01 May 2023 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-clearpath-msgs//opt/ros/humble/opt/clearpath_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
